package com.google.android.exoplayer2.source;

import com.google.android.exoplayer2.h.a;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class k$a {
    public final long aXw;
    public final long aZQ;
    public boolean bhR;
    public a bhS;
    public k$a bhT;

    public k$a(long j, int i) {
        AppMethodBeat.i(95528);
        this.aZQ = j;
        this.aXw = ((long) i) + j;
        AppMethodBeat.o(95528);
    }

    public final void a(a aVar, k$a k_a) {
        this.bhS = aVar;
        this.bhT = k_a;
        this.bhR = true;
    }

    public final int af(long j) {
        return ((int) (j - this.aZQ)) + this.bhS.offset;
    }

    public final k$a sr() {
        this.bhS = null;
        k$a k_a = this.bhT;
        this.bhT = null;
        return k_a;
    }
}
